Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 202104-10 ] Mozilla Firefox
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Advocate
Advocate


Joined: 12 May 2004
Posts: 2565

PostPosted: Sat May 01, 2021 9:26 am    Post subject: [ GLSA 202104-10 ] Mozilla Firefox Reply with quote

Gentoo Linux Security Advisory

Title: Mozilla Firefox: Multiple vulnerabilities (GLSA 202104-10)
Severity: normal
Exploitable: local, remote
Date: 2021-04-30
Bug(s): #772305, #778269, #784572
ID: 202104-10

Synopsis

Multiple vulnerabilities have been found in Mozilla Firefox, the
worst of which could result in the arbitrary execution of code.


Background

Mozilla Firefox is a popular open-source web browser from the Mozilla
project.


Affected Packages

Package: www-client/firefox
Vulnerable: < 88.0
Unaffected: >= 78.10.0
Unaffected: >= 88.0
Architectures: All supported architectures

Package: www-client/firefox-bin
Vulnerable: < 88.0
Unaffected: >= 78.10.0
Unaffected: >= 88.0
Architectures: All supported architectures


Description

Multiple vulnerabilities have been discovered in Mozilla Firefox. Please
review the CVE identifiers referenced below for details.


Impact

Please review the referenced CVE identifiers for details.

Workaround

There is no known workaround at this time.

Resolution

All Mozilla Firefox ESR users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=www-client/firefox-78.10.0"
   
All Mozilla Firefox ESR binary users should upgrade to the latest
version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=www-client/firefox-bin-78.10.0"
   
All Mozilla Firefox users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=www-client/firefox-88.0"
   
All Mozilla Firefox binary users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=www-client/firefox-bin-88.0"
   


References

CVE-2021-23961
CVE-2021-23968
CVE-2021-23969
CVE-2021-23970
CVE-2021-23971
CVE-2021-23972
CVE-2021-23973
CVE-2021-23974
CVE-2021-23975
CVE-2021-23976
CVE-2021-23977
CVE-2021-23978
CVE-2021-23981
CVE-2021-23982
CVE-2021-23983
CVE-2021-23984
CVE-2021-23985
CVE-2021-23986
CVE-2021-23987
CVE-2021-23988
CVE-2021-23994
CVE-2021-23995
CVE-2021-23998
CVE-2021-23999
CVE-2021-24002
CVE-2021-29945
CVE-2021-29946

MFSA-2021-08


MFSA-2021-11


MFSA-2021-15
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum